Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformVMove.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformVMove.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformVMove.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,12 @@
 /**
     @file JumpPlatformVMove.cc
-    @brief Implementation of the JumpPlatform class.
+    @brief This platform can move vertically.
 */
 
 #include "JumpPlatformVMove.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,8 +44,4 @@
     RegisterClass(JumpPlatformVMove);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatformVMove::JumpPlatformVMove(Context* context) : JumpPlatform(context)
     {
@@ -59,8 +51,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPlatformVMove::~JumpPlatformVMove()
     {
@@ -68,5 +56,4 @@
     }
 
-    //xml port for loading sounds
     void JumpPlatformVMove::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -74,11 +61,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPlatformVMove::tick(float dt)
     {
@@ -86,18 +66,21 @@
 
         // Get the current position, velocity and acceleration of the ball.
-        Vector3 position = this->getPosition();
-        Vector3 velocity = this->getVelocity();
+        Vector3 position = getPosition();
+        Vector3 velocity = getVelocity();
 
         if ((position.z < lowerBoundary_ && velocity.z < 0) || (position.z > upperBoundary_ && velocity.z > 0))
         {
-        	//orxout() << "refelected platformVMove at " << position.z << endl;
         	velocity.z = -velocity.z;
         }
 
         // Set the position, velocity and acceleration of the ball, if they have changed.
-        if (velocity != this->getVelocity())
-            this->setVelocity(velocity);
-        if (position != this->getPosition())
-            this->setPosition(position);
+        if (velocity != getVelocity())
+        {
+            setVelocity(velocity);
+        }
+        if (position != getPosition())
+        {
+            setPosition(position);
+        }
     }
 
@@ -107,5 +90,5 @@
     	upperBoundary_ = upperBoundary;
 
-        this->setVelocity(Vector3(0,0,speed));
+        setVelocity(Vector3(0,0,speed));
 
     }
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformVMove.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformVMove.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformVMove.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -27,34 +27,13 @@
  */
 
-/**
-    @file JumpPlatformVMove.h
-    @brief Declaration of the JumpPlatform class.
-    @ingroup Jump
-*/
-
 #ifndef _JumpPlatformVMove_H__
 #define _JumpPlatformVMove_H__
 
 #include "jump/JumpPrereqs.h"
-
 #include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
-
 
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatformVMove : public JumpPlatform
     {
@@ -62,8 +41,6 @@
     	    JumpPlatformVMove(Context* context);
             virtual ~JumpPlatformVMove();
-
             virtual void tick(float dt);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
             virtual void setProperties(float leftBoundary, float rightBoundary, float speed);
             virtual void touchFigure();
Index: code/branches/pickupsFS14/src/modules/jump/JumpPrereqs.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPrereqs.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPrereqs.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Reto Grieder
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
Index: code/branches/pickupsFS14/src/modules/jump/JumpProjectile.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpProjectile.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpProjectile.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,13 @@
 /**
     @file JumpProjectile.cc
-    @brief Implementation of the JumpProjectile class.
+    @brief projectiles are created by the gametype if the figure shoots. All projectiles check every tick, whether they hit an enemy.
 */
 
 #include "JumpProjectile.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
 #include "graphics/Model.h"
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,8 +45,4 @@
     RegisterClass(JumpProjectile);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpProjectile::JumpProjectile(Context* context) : MovableEntity(context)
     {
@@ -57,7 +50,4 @@
 
         figure_ = 0;
-
-        registerVariables();
-
         setPosition(Vector3(0,0,0));
         setVelocity(Vector3(0,0,250.0));
@@ -65,20 +55,9 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpProjectile::~JumpProjectile()
     {
-        /*if (this->isInitialized())
-        {
-            if (this->bDeleteBats_)
-                delete this->figure_;
 
-            delete[] this->batID_;
-        }*/
     }
 
-    //xml port for loading sounds
     void JumpProjectile::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -86,22 +65,4 @@
     }
 
-    /**
-    @brief
-        Register variables to synchronize over the network.
-    */
-    void JumpProjectile::registerVariables()
-    {
-        registerVariable( this->fieldWidth_ );
-        registerVariable( this->fieldHeight_ );
-        //registerVariable( this->batID_[1], VariableDirection::ToClient, new NetworkCallback<JumpProjectile>( this, &JumpProjectile::applyBats) );
-    }
-
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpProjectile::tick(float dt)
     {
@@ -123,10 +84,4 @@
     }
 
-    /**
-    @brief
-        Set the bats for the ball.
-    @param bats
-        An array (of size 2) of weak pointers, to be set as the new bats.
-    */
     void JumpProjectile::setFigure(WeakPtr<JumpFigure> figure)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpProjectile.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpProjectile.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpProjectile.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -27,17 +27,9 @@
  */
 
-/**
-    @file JumpProjectile.h
-    @brief Declaration of the JumpProjectile class.
-    @ingroup Jump
-*/
-
 #ifndef _JumpProjectile_H__
 #define _JumpProjectile_H__
 
 #include "jump/JumpPrereqs.h"
-
 #include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
 
@@ -45,16 +37,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpProjectile : public MovableEntity
     {
@@ -76,13 +56,10 @@
                 { return Vector2(this->fieldWidth_, this->fieldHeight_); }
 
-
             void setFigure(WeakPtr<JumpFigure> figure);
 
         protected:
-            void registerVariables();
-
-            float fieldWidth_; //!< The width of the playing field.
-            float fieldHeight_; //!< The height of the playing field.
-            WeakPtr<JumpFigure> figure_; //!< An array with the two bats.
+            float fieldWidth_;
+            float fieldHeight_;
+            WeakPtr<JumpFigure> figure_;
     };
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpPropeller.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPropeller.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPropeller.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpPropeller.cc
-    @brief Implementation of the JumpPropeller class.
+    @brief If this propeller is created, attachedToFigure_ is set to false. When the figure picks it up, the variable is set to true and the figure starts flying until the fuel is reduced to zero.
 */
 
@@ -48,8 +48,4 @@
     RegisterClass(JumpPropeller);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPropeller::JumpPropeller(Context* context) : JumpItem(context)
     {
@@ -57,4 +53,5 @@
 
         fuel_ = 3.0;
+        attachedToFigure_ = false;
 
         setPosition(Vector3(0,0,0));
@@ -64,8 +61,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPropeller::~JumpPropeller()
     {
@@ -73,5 +66,4 @@
     }
 
-    //xml port for loading sounds
     void JumpPropeller::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -79,11 +71,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPropeller::tick(float dt)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpPropeller.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPropeller.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPropeller.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpPropeller.h
-    @brief Declaration of the JumpPropeller class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpPropeller_H__
@@ -45,16 +39,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPropeller : public JumpItem
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpRocket.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpRocket.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpRocket.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,13 @@
 /**
     @file JumpRocket.cc
-    @brief Implementation of the JumpRocket class.
+    @brief If this rocket is created, attachedToFigure_ is set to false. When the figure picks it up, the variable is set to true and the figure starts flying fast until the fuel is reduced to zero.
 */
 
 #include "JumpRocket.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
 #include "graphics/Model.h"
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,8 +45,4 @@
     RegisterClass(JumpRocket);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpRocket::JumpRocket(Context* context) : JumpItem(context)
     {
@@ -57,4 +50,5 @@
 
         fuel_ = 3.0;
+        attachedToFigure_ = false;
 
         setPosition(Vector3(0,0,0));
@@ -64,8 +58,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpRocket::~JumpRocket()
     {
@@ -73,5 +63,4 @@
     }
 
-    //xml port for loading sounds
     void JumpRocket::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -79,11 +68,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpRocket::tick(float dt)
     {
@@ -116,8 +98,4 @@
 
     	attachedToFigure_ = figure_->StartRocket(this);
-    	if (attachedToFigure_)
-    	{
-    		//Starte Feuer-Animation
-    	}
     }
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpRocket.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpRocket.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpRocket.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -27,34 +27,13 @@
  */
 
-/**
-    @file JumpRocket.h
-    @brief Declaration of the JumpRocket class.
-    @ingroup Jump
-*/
-
 #ifndef _JumpRocket_H__
 #define _JumpRocket_H__
 
 #include "jump/JumpPrereqs.h"
-
 #include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
-
 
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpRocket : public JumpItem
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpScore.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpScore.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpScore.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,17 +29,14 @@
 /**
     @file JumpScore.cc
-    @brief Implementation of the JumpScore class.
+    @brief HUD of thejump minigame. If showScore_ is set, it displays the score. If showMessages_ is set, it displays the game over message.
 */
 
 #include "JumpScore.h"
-
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "util/Convert.h"
-
 #include "infos/PlayerInfo.h"
-
 #include "Jump.h"
-#include "sound/WorldSound.h" /////////////////////////////
+#include "sound/WorldSound.h"
 
 namespace orxonox
@@ -47,8 +44,4 @@
     RegisterClass(JumpScore);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpScore::JumpScore(Context* context) : OverlayText(context)
     {
@@ -60,8 +53,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpScore::~JumpScore()
     {
@@ -69,8 +58,4 @@
     }
 
-    /**
-    @brief
-        Method to create a JumpScore through XML.
-    */
     void JumpScore::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -82,18 +67,9 @@
     }
 
-    /**
-    @brief
-        Is called each tick.
-        Creates and sets the caption to be displayed by the JumpScore.
-    @param dt
-        The time that has elapsed since the last tick.
-    */
     void JumpScore::tick(float dt)
     {
         SUPER(JumpScore, tick, dt);
 
-        // If the owner is set. The owner being a Jump game.
-
-        if (this->owner_ != NULL)
+        if (owner_ != NULL)
         {
             if (!owner_->hasEnded())
@@ -120,9 +96,4 @@
     }
 
-    /**
-    @brief
-        Is called when the owner changes.
-        Sets the owner to NULL, if it is not a pointer to a Jump game.
-    */
     void JumpScore::changedOwner()
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpScore.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpScore.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpScore.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpScore.h
-    @brief Declaration of the JumpScore class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpScore_H__
@@ -44,14 +38,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        The JumpScore class displays the score for a game of @ref orxonox::Jump "Jump".
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpScore : public OverlayText, public Tickable
     {
@@ -60,7 +44,7 @@
             virtual ~JumpScore();
 
-            virtual void tick(float dt); //!< Creates and sets the caption to be displayed by the JumpScore.
+            virtual void tick(float dt);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner(); //!< Is called when the owner changes.
+            virtual void changedOwner();
 
             void setShowScore(const bool showScore)
@@ -83,11 +67,10 @@
 
         private:
-            Jump* owner_; //!< The Jump game that owns this JumpScore.
-            WeakPtr<PlayerInfo> player_; //!< Store information about left player permanently.
+            Jump* owner_;
+            WeakPtr<PlayerInfo> player_;
             WorldSound* scoreSound_;
             bool showScore_;
             bool showMessages_;
             std::string gameOverText_;
-
     };
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpShield.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpShield.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpShield.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpShield.cc
-    @brief Implementation of the JumpShield class.
+    @brief If this shield is created, attachedToFigure_ is set to false. When the figure picks it up, the variable is set to true and the figure is protected until the fuel is reduced to zero.
 */
 
@@ -48,8 +48,4 @@
     RegisterClass(JumpShield);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpShield::JumpShield(Context* context) : JumpItem(context)
     {
@@ -57,4 +53,5 @@
 
         fuel_ = 7.0;
+        attachedToFigure_ = false;
 
         setPosition(Vector3(0,0,0));
@@ -64,8 +61,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpShield::~JumpShield()
     {
@@ -73,5 +66,4 @@
     }
 
-    //xml port for loading sounds
     void JumpShield::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -79,11 +71,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpShield::tick(float dt)
     {
@@ -116,8 +101,4 @@
 
     	attachedToFigure_ = figure_->StartShield(this);
-    	if (attachedToFigure_)
-    	{
-    		//Starte Feuer-Animation
-    	}
     }
 }
Index: code/branches/pickupsFS14/src/modules/jump/JumpShield.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpShield.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpShield.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpShield.h
-    @brief Declaration of the JumpShield class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpShield_H__
@@ -45,16 +39,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpShield : public JumpItem
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpSpring.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpSpring.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpSpring.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,13 @@
 /**
     @file JumpSpring.cc
-    @brief Implementation of the JumpSpring class.
+    @brief If this spring is touched by the figure, it jumps higher then from a platform.
 */
 
 #include "JumpSpring.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
 #include "graphics/Model.h"
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,8 +45,4 @@
     RegisterClass(JumpSpring);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpSpring::JumpSpring(Context* context) : JumpItem(context)
     {
@@ -65,8 +58,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpSpring::~JumpSpring()
     {
@@ -74,5 +63,4 @@
     }
 
-    //xml port for loading sounds
     void JumpSpring::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -80,11 +68,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpSpring::tick(float dt)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpSpring.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpSpring.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpSpring.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpSpring.h
-    @brief Declaration of the JumpSpring class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpSpring_H__
@@ -45,16 +39,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpSpring : public JumpItem
     {
